Subject: Re: bug#19576: write-file writes the wrong buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 22 Nov 2015 21:02:00 +0200

> From: Johan Bockgård <[email-masked]>
> Cc: Anders Lindgren <[email-masked]>,  [email-masked]
> Date: Sun, 22 Nov 2015 19:44:04 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I could only understand that if whatever you do following a call to
> > set-window-start includes resizing of windows or creation/deletion of
> > windows.  Or maybe you meant editing in that window?  Even then at
> > least the simple commands I tried don't do that.
> >
> > The display engine generally doesn't do anything unless the screen
> > should change.  So if you work outside of the window whose starting
> > point you forced, Emacs should never do anything with that window.
> 
> E.g. the following cause a recenter of *scratch*:
> 
> emacs -Q
> M-: (set-window-start (selected-window) (point-max) t) RET
> C-x 2
> Click mouse in other window
> 
> or
> 
> emacs -Q
> M-: (set-window-start (selected-window) (point-max) t) RET
> C-x 2
> C-x o
> C-h i
> 
> or
> 
> emacs -Q
> M-: (set-window-start (selected-window) (point-max) t) RET
> Resize frame

That's what I said (see above): resizing of windows or
creation/deletion of windows can indeed cause recentering.